import { CalendarEvent } from 'angular-calendar';
import { DbxCalendarStore } from './calendar.store';
import { MatButtonToggleChange } from '@angular/material/button-toggle';
import { DbxCalendarEvent } from './calendar';
import * as i0 from "@angular/core";
export declare class DbxCalendarComponent<T> {
    readonly calendarStore: DbxCalendarStore<T>;
    readonly clickEvent: import("@angular/core").OutputEmitterRef<DbxCalendarEvent<T>>;
    readonly viewDate$: import("rxjs").Observable<Date>;
    readonly events$: import("rxjs").Observable<CalendarEvent<any>[]>;
    readonly activeDayIsOpen$: import("rxjs").Observable<boolean>;
    readonly displayType$: import("rxjs").Observable<import("./calendar.store").CalendarDisplayType>;
    readonly viewDateSignal: import("@angular/core").Signal<Date>;
    readonly eventsSignal: import("@angular/core").Signal<CalendarEvent<any>[]>;
    readonly activeDayIsOpenSignal: import("@angular/core").Signal<boolean>;
    readonly displayTypeSignal: import("@angular/core").Signal<import("./calendar.store").CalendarDisplayType | undefined>;
    readonly displayTypeClassSignal: import("@angular/core").Signal<string>;
    todayClicked(): void;
    nextButtonClicked(): void;
    previousButtonClicked(): void;
    dayClicked({ date }: {
        date: Date;
    }): void;
    eventClicked(action: string, event: CalendarEvent<T>): void;
    typeToggleChanged(event: MatButtonToggleChange): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DbxCalendarComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DbxCalendarComponent<any>, "dbx-calendar", never, {}, { "clickEvent": "clickEvent"; }, never, never, true, never>;
}
